﻿@using System.Web.UI.WebControls;
@model Portal.Models.DCLInquiry.DCLInquiry

<table border="0" style="width:100%; height:120px; padding-left:4px; padding-right:4px">
    <tr>
        <td>
            @Html.Label("Delivery No")
        </td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "DeliveryNoReg";
                settings.Text = Model.DeliverNo;                                
                settings.Width = Unit.Pixel(120);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.LightGreen;
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                settings.ControlStyle.Font.Bold = true;
            }).GetHtml()
        </td>
    </tr>

     <tr>
        <td>
            @Html.Label("Version")
        </td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "txtRevisionNoRegular";
                settings.Text = Model.RevisionNo.ToString();                                
                settings.Width = Unit.Pixel(120);
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                settings.ControlStyle.Font.Bold = true;
            }).GetHtml()
        </td>
    </tr>

    <tr>
        <td style="width:100%;" >
            @Html.Label("Logistic Partner")
        </td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "txtLPRegular";
                settings.Text = Model.LogisticPartner;
                settings.Width = Unit.Pixel(120);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
            }).GetHtml()

            <div id="spangrid" style="display:none;">
            @Html.Common().DevExpress().GridLookup(
                s =>
                { 
                    s.Name = "grlLPRegular";
                    s.Width = Unit.Pixel(120);
                    s.GridProperties.KeyFieldName = "LPCode";
                    s.GridProperties.CallbackRouteValues = new { Controller = "DCLInquiry", Action = "LPPartialRegular" };
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "LPName";
                            c.FieldName = "LPName";
                            c.Caption = "LP Name";
                        });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "LPCode";
                        c.FieldName = "LPCode";
                        c.Caption = "LP Code";
                        c.Width = Unit.Pixel(60);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    });
                }
            ).Bind(ViewData["LogisticPartnerData"]).GetHtml()
            </div>
        </td>
    </tr>

    <tr>
        <td style="width:100%; margin-top:10px;" >
            @Html.Label("PickUp Date")
        </td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "PickUpDate";
                settings.Width = Unit.Pixel(120);
                settings.Text = Model.PickUpDate;
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
            }).GetHtml()
        </td>
    </tr>

    <tr>
        <td style="width:100%;" >
            @Html.Label("Route - Rate")
        </td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "RouteRate";
                settings.Text = Model.RouteRate;
                settings.Width = Unit.Pixel(120);
                settings.ReadOnly= true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
            }).GetHtml()
        </td>
    </tr>

     <tr>
        <td>
            @Html.Label("Arrival at TMMIN")
        </td>
        <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "ArrivalAtRegular";
                            settings.Text = Model.ArrivalAt;
                            settings.Width = Unit.Pixel(120);
                            settings.ReadOnly = true;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
        </td>
    </tr>
</table>